$regfile = "m8def.dat"                            '  ATmega8.
$crystal = 1000000                                '    .
$hwstack = 64                                     '   ,
$swstack = 32                                     '  .
$framesize = 32

'*************   WH1602 ****************************************

Config Lcd = 16 * 2                               '  2   16 
Config Lcdbus = 4                                 '    4 .
Config Lcdmode = Port
Config Lcdpin = Pin , Db4 = Portc.2 , Db5 = Portc.3 , Db6 = Portc.4 , Db7 = Portc.5 , Rs = Portc.0 , E = Portc.1
Cursor Off                                        '   .

'*************      DS18B20 *****************

Config 1wire = Portd.0                            '  DS18B20    PortD.0.

'*************  ******************************************************

Dim Termo As Integer                              '  ,  .
Dim Outlcd As Single                              '         .

'*************   ***************************************************

Do                                                '  .

'*************     DS18B20 ****************************

  1wreset                                         '  .
  1wwrite &HCC                                    '  "   ".
  1wwrite &H44                                    '  "  ".

  Waitms 800                                      '   800 ,      .

  1wreset                                         '  .
  1wwrite &HCC                                    '  "   "
  1wwrite &HBE                                    '  "   ".

  Termo = 1wread(2)                               '     ,      .
  Outlcd = Termo / 16                             '      .

'*************     ******************************

  Cls                                             '   .
  Lcd "Termo " ; Fusing(outlcd , "###.#") ; " C"  '    .

Loop                                              '  ,    "Do"